use Test::More tests => 2;

use FindBin;
use lib "$FindBin::Bin/../lib";
use strict;
use warnings;
use Hash::MD5;

my $sum1 = Hash::MD5->check_sum( { array => ["This", "is", "a", "test", "string."], number => 123});
my $sum2 = Hash::MD5->check_sum( { number => 123, array => ["This", "is", "a", "test", "string."]});
ok(('583c93e95d715b7ab85aafddf9e6a23e' eq $sum1) == 1, 'test array with numbers');
ok(($sum1 eq $sum2) == 1, 'test compare array with numbers');